%global use_x11_tests 1

Name:           perl-Prima
Version:        1.42
Release:        3%{?dist}
Summary:        Perl graphic toolkit
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Prima/
Source0:        http://www.cpan.org/authors/id/K/KA/KARASIK/Prima-%{version}.tar.gz
# Fix XFT font handling, bug #1275092
Patch0:         Prima-1.42-rehaul-of-xft-for-testing-of-corner-cases.patch
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  giflib-devel
BuildRequires:  gtk2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXft-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  perl
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(Tie::Hash)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Encode)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Tie::Array)
BuildRequires:  perl(Tie::RefHash)
# Tests:
BuildRequires:  perl(Test::More)
%if %{use_x11_tests}
# X11 tests:
BuildRequires:  xorg-x11-server-Xvfb
BuildRequires:  xorg-x11-xinit
BuildRequires:  font(:lang=en)
# Tests exhibit a proportinal font
BuildRequires:  liberation-sans-fonts
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Virtual packages used to load more modules
Provides:       perl(Prima::Buttons) = %{version}
Provides:       perl(Prima::Classes) = %{version}
Provides:       perl(Prima::Notebooks) = %{version}
Provides:       perl(Prima::noX11) = %{version}
Provides:       perl(Prima::Outlines) = %{version}
Provides:       perl(Prima::Sliders) = %{version}
Provides:       perl(Prima::StdDlg) = %{version}

%{?perl_default_filter}

# Do not export private modules (not starting with "Prima")
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\((am|apc|bi|bs|bt|ci|cl|cm|CodeEditor|cr|cs|CustomPodView|Divider|dmfp|dt|Editor|fdo|fds|fe|fp|fr|fra|frr|fs|fw|gm|gr|grow|gsci|gt|gui|ict|im|is|ItemsOutline|kb|km|le|lj|lp|mb|mbi|MenuOutline|MPropListViewer|mt|MyOutline|nt|PackPropListViewer|PropListViewer|rop|Round3D|sbmp|ss|sv|ta|tb|tka|tm|tno|tns|tw|wc|ws)\\)

%description
Prima is a general purpose extensible graphical user interface toolkit with
a rich set of standard widgets and an emphasis on 2D image processing tasks.
A Perl program using PRIMA looks and behaves identically on X, Win32.

%package Test
Summary:        Test tools for Prima Perl graphic toolkit
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description Test
This Perl module contains a small set or tool used for testing of
Prima-related code together with standard Perl Test:: suite.


%prep
%setup -q -n Prima-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" WITH_GTK2=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{use_x11_tests}
    xvfb-run -a make test
%else
    make test
%endif

%files
%license Copying
%doc Changes README
%{_bindir}/*
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/gencls.pod
%{perl_vendorarch}/Prima*
%exclude %{perl_vendorarch}/Prima/Test.*
%{_mandir}/man1/*
%{_mandir}/man3/*
%exclude %{_mandir}/man3/Prima::Test.*

%files Test
%{perl_vendorarch}/Prima/Test.*
%{_mandir}/man3/Prima::Test.*

%changelog
* Tue Oct 27 2015 Petr Pisar <ppisar@redhat.com> - 1.42-3
- Fix XFT font handling (bug #1275092)

* Mon Mar 16 2015 Petr Pisar <ppisar@redhat.com> - 1.42-2
- Provide perl(Prima::noX11)

* Thu Mar 12 2015 Petr Pisar <ppisar@redhat.com> - 1.42-1
- 1.42 bump

* Wed Nov 12 2014 Petr Pisar <ppisar@redhat.com> - 1.41-1
- 1.41 bump

* Fri Sep 19 2014 Petr Pisar <ppisar@redhat.com> - 1.40-1
- 1.40 bump

* Tue Aug 26 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.37-4
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.37-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep 26 2013 Petr Pisar <ppisar@redhat.com> 1.37-1
- Specfile autogenerated by cpanspec 1.78.
